<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.rts" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="host-feature,server,socket-binding"/>
        <elem name="op-params-mapping" value="host,server,socket-binding"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.rts"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.rts"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.transactions.xa-resource-recovery-registry"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" nillable="true" stability="default"/>
        <param name="extension" default="org.wildfly.extension.rts"/>
        <param name="socket-binding" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="rts"/>
        <param name="host-feature" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.rts"/>
    </packages>
</feature-spec>